unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    procedure RadioGroup1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure GetAxisLabel(Sender: TChartAxis; Series: TChartSeries;
                           ValueIndex: Integer; var LabelText: string);
    procedure GetLegendText(Sender:TCustomAxisPanel; LegendStyle:TLegendStyle; Index:Integer;
                            var LegendText:String);
    procedure DoBars;
    procedure DoLine;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

procedure TForm1.GetAxisLabel(Sender: TChartAxis; Series: TChartSeries;
  ValueIndex: Integer; var LabelText: string);
begin
  if (Sender = Chart1.Axes.Bottom) then
    LabelText:='';
end;

procedure TForm1.GetLegendText(Sender:TCustomAxisPanel; LegendStyle:TLegendStyle;
  Index:Integer; var LegendText:String);
var
  iPos: integer;
begin
  iPos:=Pos(Chr(32),LegendText);
  if (iPos = 0) then
    LegendText := ' '
  else
  begin
    LegendText := Copy(LegendText,iPos+1,Length(LegendText));
  end;
end;

procedure TForm1.DoBars;
begin
  Chart1.View3D:=false;
  Chart1.Legend.LegendStyle:=lsValues;

  with Chart1.AddSeries(TBarSeries) as TBarSeries do
  begin
    MultiBar:=mbSelfStack;
    Marks.Visible := true;
    MarksOnBar:=true;
    MarksLocation:=mlCenter;
    ColorEachPoint:=true;

    Add(100, 'AND', clBlue);
    Add(200, 'BAS', clRed);
    Add(50, 'BRC', clGreen);
    Add(150, 'TUF', clYellow);

    ShowInLegend := false;
  end;

  with Chart1.AddSeries(TBarSeries) as TBarSeries do
  begin
    Title:='100 Andesite';
    Color:=clBlue;
  end;

  with Chart1.AddSeries(TBarSeries) as TBarSeries do
  begin
    Title:='200 Basalt Lava';
    Color:=clRed;
  end;

  with Chart1.AddSeries(TBarSeries) as TBarSeries do
  begin
    Title:='50 Brecciated Conglomerate';
    Color:=clGreen;
  end;

  with Chart1.AddSeries(TBarSeries) as TBarSeries do
  begin
    Title:='150 Tuff';
    Color:=clYellow;
  end;

  Chart1.Legend.Alignment:=laBottom;
  Chart1.Legend.LegendStyle:=lsSeries;
  Chart1.OnGetAxisLabel:=GetAxisLabel;
  Chart1.OnGetLegendText:=GetLegendText;
end;

procedure TForm1.DoLine;
begin
  Chart1.AddSeries(TLineSeries).FillSampleValues();
  Chart1.OnGetAxisLabel:=nil;
  Chart1.OnGetLegendText:=nil;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  Chart1.ClearChart;

  case RadioGroup1.ItemIndex of
    0: DoBars;
    1: DoLine;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  RadioGroup1.ItemIndex:=0;
end;

end.
